<?php
/**
 * Grimlock_WPML_Typography_Customizer Class
 *
 * @author  Themosaurus
 * @since   1.0.0
 * @package grimlock
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * The Grimlock WPML Customizer style class.
 */
class Grimlock_WPML_Typography_Customizer {
	/**
	 * Setup class.
	 *
	 * @since 1.0.0
	 */
	public function __construct() {
		add_filter( 'grimlock_typography_customizer_link_elements', array( $this, 'add_link_elements' ), 10, 1 );
	}

	/**
	 * @param $elements
	 * @since 1.0.0
	 *
	 * @return array
	 */
	public function add_link_elements( $elements ) {
		return array_merge( $elements, array(
			'.widget_icl_lang_sel_widget #lang_sel .lang_sel_sel',
		) );
	}
}

return new Grimlock_WPML_Typography_Customizer();
